<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/v_header_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/background_shape_white_radius_8_top_only"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="16dp"
        android:src="@drawable/icon_close"
        app:layout_constraintStart_toStartOf="@id/v_header_background"
        app:layout_constraintTop_toTopOf="@id/v_header_background" />

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextHeadline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toBottomOf="@id/iv_close"
        app:layout_constraintEnd_toEndOf="@id/v_header_background"
        app:layout_constraintStart_toStartOf="@id/v_header_background"
        app:layout_constraintTop_toTopOf="@id/iv_close"
        tools:text="@string/follow_detail_person_updates" />

    <TextView
        android:id="@+id/tv_right"
        style="@style/TextBody2"
        android:layout_width="88dp"
        android:layout_height="0dp"
        android:gravity="center"
        android:text="@string/go_to_forum"
        android:textColor="@color/text_theme"
        app:layout_constraintBottom_toBottomOf="@id/iv_close"
        app:layout_constraintEnd_toEndOf="@id/v_header_background"
        app:layout_constraintTop_toTopOf="@id/iv_close" />

    <View
        android:id="@+id/v_top_line"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:background="@color/ui_divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_close" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/srl_refresh"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top_line">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_dynamic"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top_line" />

    <include
        android:id="@+id/reuse_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top_line" />

    <include
        android:id="@+id/reuse_no_data"
        layout="@layout/reuse_none_data"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top_line" />
</androidx.constraintlayout.widget.ConstraintLayout>